## gnuplot 4.6.3

=== debian/changelog ===
gnuplot (4.6.3-2) unstable; urgency=low

  * [912245b] Change BD to libgd2-dev.
  * [39692d7] Force makeinfo not to fail on warnings. 
              Remove mkinstalldirs. 
              (Closes: #711067)
  * [5731602] Use canonical VCS-field.
  * [8e396f4] Use packaged version of aglfn. (Closes: #709583)

 -- Anton Gladky <gladk@debian.org>  Tue, 04 Jun 2013 22:58:34 +0200

gnuplot (4.6.3-1) unstable; urgency=low

  * [159e6e7] Imported Upstream version 4.6.3
  * [c706f6c] Refresh patches. Removed ones, applied by upstream.
  * [538471a] Bump 3.9.4 Standard-Version.
  * [aa9b622] Use autoreconf.
  * [079ae7c] Add link to GPL-license in copyright-file.
  * [c6ccdf4] Add short descriptions to patches.
  * [235dd93] Remove README.source.

 -- Anton Gladky <gladk@debian.org>  Wed, 01 May 2013 20:40:14 +0200
