=== debian/control ===
Source: gnuplot
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), libpng-dev, libx11-dev, libxt-dev, 
 pkg-config, texinfo, texlive-latex-base, texlive-latex-recommended, 
 texlive-latex-extra, liblua5.1-dev,
 zlib1g-dev, libgd2-dev, libwxgtk2.8-dev, libcairo2-dev, 
 libpango1.0-dev, libedit-dev, autoconf, automake,
 libqt4-dev (>=4:4.5), dh-autoreconf
Homepage: http://gnuplot.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot.git

Package: gnuplot
Architecture: all
Depends: gnuplot-nox | gnuplot-x11 | gnuplot-qt, ${misc:Depends}
Suggests: gnuplot-doc
Description: Command-line driven interactive plotting program
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package is for transition and to install a full-featured gnuplot
 supporting the X11-output.

Package: gnuplot-nox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, aglfn
Conflicts: gnuplot-x11, gnuplot-qt
Recommends: groff, fonts-liberation
Suggests: gnuplot-doc
Description: Command-line driven interactive plotting program. No-X package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11. The QT-output is packaged in gnuplot-qt.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package is for working without an X server.

Package: gnuplot-x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, aglfn
Conflicts: gnuplot-qt, gnuplot-nox
Suggests: gnuplot-doc
Provides: gnuplot-nox
Description: Command-line driven interactive plotting program. X-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the terminal driver that enables gnuplot to plot
 images interactively under X11. Most users will want this, it is however
 packaged separately so that low-end systems don't need X installed to use
 gnuplot.

Package: gnuplot-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, aglfn
Conflicts: gnuplot-x11, gnuplot-nox
Suggests: gnuplot-doc
Provides: gnuplot-nox, gnuplot-x11
Description: Command-line driven interactive plotting program. QT-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the terminal driver that enables gnuplot to plot
 images interactively under X11. Most users will want this, it is however
 packaged separately so that low-end systems don't need X installed to use
 gnuplot.
 .
 The package provides gnuplot-x11 and gnuplot-nox terminals plus an
 additional QT-terminal for output (not default one).

Package: gnuplot-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Command-line driven interactive plotting program. Doc-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the additional documentation.
