=== debian/changelog ===
gnuplot (4.6.4-2) unstable; urgency=medium

  * [67fb69c] Add texlive-fonts-recommended to Build-Depends. (Closes: #738212)
  * [bf524ce] Set Standards-Version: 3.9.5. No changes.

 -- Anton Gladky <gladk@debian.org>  Sat, 08 Feb 2014 20:44:33 +0100

gnuplot (4.6.4-1) unstable; urgency=low

  * [9fbd2a7] Add python-gnuplot, feedgnuplot, libgnuplot-iostream-dev 
              to suggests-section.
  * [2500301] Imported Upstream version 4.6.4
  * [f2d5e30] Refresh patches.
  * [d005afc] Use wrap-and-sort.
  * [e4ff402] Simplify debian/rules.

 -- Anton Gladky <gladk@debian.org>  Sat, 12 Oct 2013 20:46:15 +0200
