=== debian/rules ===
--- 
+++ 
@@ -4,30 +4,16 @@
 	dh $@ --parallel --with autoreconf
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
-
-CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
-CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
-CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
-
-# Build structure may link against unneeded libs.
-# Make sure this does not happen.
-LDFLAGS            += -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Tell compiler where should find lua headers
-CFLAGS += -I/usr/include/lua5.1
+export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/lua5.1
 
 BUILDDIR_NOX = $(CURDIR)/debian/build-nox
 BUILDDIR_X11 = $(CURDIR)/debian/build-x11
 BUILDDIR_QT = $(CURDIR)/debian/build-qt
 
 conf_opts += \
-	CFLAGS="$(CFLAGS)" \
-	CXXFLAGS="$(CXXFLAGS)" \
-	CPPFLAGS="$(CPPFLAGS)" \
-	LDFLAGS="$(LDFLAGS)" \
-	--host=$(DEB_HOST_GNU_TYPE) \
-	--build=$(DEB_BUILD_GNU_TYPE) \
 	--prefix=/usr \
 	--mandir=\$${prefix}/share/man \
 	--infodir=\$${prefix}/share/info \
