## gnuplot 4.6.5

=== debian/changelog ===
gnuplot (4.6.5-10) unstable; urgency=medium

  * [684bb08] Depend on the same version of gnuplot-data as a source-version.
  * [2e069b9] Fix package name in autopkgtest.
  * [6aae61e] Simplify and update autotest. (Closes: #756156)
  * [dfdd105] Provide -x11 by -qt. (Closes: #756163)

 -- Anton Gladky <gladk@debian.org>  Fri, 01 Aug 2014 19:48:33 +0200

gnuplot (4.6.5-9) unstable; urgency=medium

  * [754170b] Update version number in Breaks/Replaces. (Closes: #754890)
  * [3859306] Add missing entries into d./copyright. (Closes: #754872)

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Jul 2014 18:58:51 +0200

gnuplot (4.6.5-8) unstable; urgency=medium

  * [27a6ce3] Add gnuplot-data and move there all arch-independent files.
              Prevemts circular dependencies. (Closes: #754598)
  * [5db8c84] Provide by -x11 and -qt the binary gnuplot-nox. 
              (Closes: #754603)

 -- Anton Gladky <gladk@debian.org>  Sun, 13 Jul 2014 14:53:47 +0200

gnuplot (4.6.5-7) unstable; urgency=medium

  * [716ff2d] Update autopkgtest.
  * [f8828aa] Provide gnuplot4 symlink through update-alternatives
  * [b5b3c3b] Do not let install -nox together with -x11 or -qt.

 -- Anton Gladky <gladk@debian.org>  Sat, 12 Jul 2014 10:46:21 +0200

gnuplot (4.6.5-6) unstable; urgency=medium

  * [87404d3] Add breaks/replaces construction for gnuplot. (Closes: #754162)

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Jul 2014 19:54:12 +0200

gnuplot (4.6.5-5) unstable; urgency=medium

  * [414feb8] Remove old postinst, postrm and prerm scripts.
  * [840441d] Do not override autoclean
  * [43aac33] Rename binaries from gnuplot to gnuplot4-*.
  * [e065af5], [893f8be] Use update-alternatives to provide gnuplot.
  * [5829104] Move texmf-files into gnuplot-tex.

 -- Anton Gladky <gladk@debian.org>  Tue, 24 Jun 2014 23:51:18 +0200

gnuplot (4.6.5-4) unstable; urgency=medium

  * [4d67729] Disable wxt-terminal. (Closes: #750045)
  * [7342432] Increase priority of gnuplot-qt over gnuplot-x11.

 -- Anton Gladky <gladk@debian.org>  Wed, 04 Jun 2014 22:51:42 +0200

gnuplot (4.6.5-3) unstable; urgency=medium

  * [5aef72d] Fix typo in control-file. (Closes: #749820)

 -- Anton Gladky <gladk@debian.org>  Fri, 30 May 2014 07:40:33 +0200

gnuplot (4.6.5-2) unstable; urgency=medium

  [ Olly Betts ]
  * [cd3b9ce] Update to use wxwidgets3.0. (Closes: #741072)

  [ Anton Gladky ]
  * [10a8dbc] Set the default gnuplot binary to gnuplot-x11. (Closes: #741073)
  * [aef3b6a] Fix manpage for gnuplot-nox. (Closes: #744218)
  * [dfd3a27] Add autopkgtests.

 -- Anton Gladky <gladk@debian.org>  Thu, 29 May 2014 18:17:09 +0200

gnuplot (4.6.5-1) unstable; urgency=medium

  * [aec9b9b] Imported Upstream version 4.6.5

 -- Anton Gladky <gladk@debian.org>  Fri, 28 Feb 2014 23:20:14 +0100
