=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  libpango1.0-dev,
  libpng-dev,
  libqt4-dev (>=4:4.5),
- libwxgtk2.8-dev,
  libx11-dev,
  libxt-dev,
  pkg-config,
@@ -30,12 +29,21 @@
 Homepage: http://gnuplot.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot.git
+XS-Testsuite: autopkgtest
 
 Package: gnuplot
 Architecture: all
 Depends:
- gnuplot-nox | gnuplot-x11 | gnuplot-qt,
- ${misc:Depends}
+ gnuplot-qt (>= 4.6.5-5) | gnuplot-x11 (>= 4.6.5-5) | gnuplot-nox (>= 4.6.5-5),
+ ${misc:Depends}
+Breaks:
+ gnuplot-nox (<<4.6.5-5),
+ gnuplot-qt  (<<4.6.5-5),
+ gnuplot-x11 (<<4.6.5-5)
+Replaces:
+ gnuplot-nox (<<4.6.5-5),
+ gnuplot-qt  (<<4.6.5-5),
+ gnuplot-x11 (<<4.6.5-5)
 Suggests:
  feedgnuplot,
  gnuplot-doc,
@@ -74,15 +82,18 @@
 Package: gnuplot-nox
 Architecture: any
 Depends:
- aglfn,
+ gnuplot-data (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Conflicts:
- gnuplot-qt,
- gnuplot-x11
 Recommends:
  fonts-liberation,
  groff
+Conflicts:
+ gnuplot-qt,
+ gnuplot-x11
+Replaces:
+ gnuplot-qt,
+ gnuplot-x11
 Suggests:
  gnuplot-doc
 Description: Command-line driven interactive plotting program. No-X package
@@ -100,14 +111,17 @@
 Package: gnuplot-qt
 Architecture: any
 Depends:
- aglfn,
+ gnuplot-data (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
+Suggests:
+ gnuplot-doc
 Conflicts:
- gnuplot-nox,
- gnuplot-x11
-Suggests:
- gnuplot-doc
+ gnuplot-x11,
+ gnuplot-nox
+Replaces:
+ gnuplot-x11,
+ gnuplot-nox
 Provides:
  gnuplot-nox,
  gnuplot-x11
@@ -131,16 +145,19 @@
 Package: gnuplot-x11
 Architecture: any
 Depends:
- aglfn,
+ gnuplot-data (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Conflicts:
- gnuplot-nox,
- gnuplot-qt
+ gnuplot-qt,
+ gnuplot-nox
+Replaces:
+ gnuplot-qt,
+ gnuplot-nox
+Provides:
+ gnuplot-nox
 Suggests:
  gnuplot-doc
-Provides:
- gnuplot-nox
 Description: Command-line driven interactive plotting program. X-package
  Gnuplot is a portable command-line driven interactive data and function
  plotting utility that supports lots of output formats, including drivers
@@ -155,3 +172,50 @@
  images interactively under X11. Most users will want this, it is however
  packaged separately so that low-end systems don't need X installed to use
  gnuplot.
+
+Package: gnuplot-tex
+Architecture: all
+Section: doc
+Breaks:
+ gnuplot-nox (<<4.6.5-5),
+ gnuplot-qt  (<<4.6.5-5),
+ gnuplot-x11 (<<4.6.5-5)
+Depends:
+ ${misc:Depends}
+Description: Command-line driven interactive plotting program. Tex-files
+ Gnuplot is a portable command-line driven interactive data and function
+ plotting utility that supports lots of output formats, including drivers
+ for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
+ is packaged in gnuplot-x11.
+ .
+ Data files and self-defined functions can be manipulated by the internal
+ C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
+ and can work with complex numbers.
+ .
+ This package contains tex-files which are used by both gnuplot v4 and v5.
+
+Package: gnuplot-data
+Architecture: all
+Section: doc
+Breaks:
+ gnuplot-nox (<<4.6.5-5),
+ gnuplot-qt  (<<4.6.5-5),
+ gnuplot-x11 (<<4.6.5-5),
+ gnuplot     (<<4.6.5-9)
+Replaces:
+ gnuplot     (<<4.6.5-9)
+Depends:
+ aglfn,
+ gnuplot-tex,
+ ${misc:Depends}
+Description: Command-line driven interactive plotting program. Data-files
+ Gnuplot is a portable command-line driven interactive data and function
+ plotting utility that supports lots of output formats, including drivers
+ for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
+ is packaged in gnuplot-x11.
+ .
+ Data files and self-defined functions can be manipulated by the internal
+ C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
+ and can work with complex numbers.
+ .
+ This package contains data-files which are used by -nox, -x11 and -qt.
